cURL
curl -X POST "https://api.fitsociety.io/public/v1/exports/requests/{exportRequestId}/retry" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/exports/requests/{exportRequestId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/exports/requests/{exportRequestId}/retry"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"exportRequestId": "66f7b8b1e13c8d25f4d3d90b",
"previousExportRequestId": "66f7b8b1e13c8d25f4d3d90a",
"status": "queued"
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Exports
Retry an export request
Requires exports:write. Queues a new export request with the same params and options as a failed, canceled, expired, or completed request created by the authenticated Public API client. Empty request bodies are accepted.
POST
/
public
/
v1
/
exports
/
requests
/
{exportRequestId}
/
retry
cURL
curl -X POST "https://api.fitsociety.io/public/v1/exports/requests/{exportRequestId}/retry" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fitsociety.io/public/v1/exports/requests/{exportRequestId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/exports/requests/{exportRequestId}/retry"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"exportRequestId": "66f7b8b1e13c8d25f4d3d90b",
"previousExportRequestId": "66f7b8b1e13c8d25f4d3d90a",
"status": "queued"
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"